// Title:       Gestin de un videoclub
// Version:     1.0
// Copyright:   2005
// Author:      Fernando Berzal Galiano
// E-mail:      berzal@acm.org

public class Alquiler 
{
  private DVD _dvd;
  private int _tiempo; 

  public Alquiler (DVD dvd, int tiempo)
  {
    _dvd = dvd;
    _tiempo = tiempo;
  }

  public int getTiempo()
  {
    return _tiempo;
  }

  public DVD getDVD() 
  {
    return _dvd;
  }

  public double getPrecio()
  {
    return _dvd.getPrecio(_tiempo);
  }


  // Programa de puntos

  public int getPuntos ()
  {
    int puntos = 1;

    // Bonificacin
        
    if ((getDVD().getTipo() == DVD.NOVEDAD) && (getTiempo()>1))
           puntos++;
    
    return puntos;
  }

}
